<?php

declare(strict_types=1);

namespace PhpWA\Media;

use PhpWA\Runtime\Deadline;

interface MediaHttpClientInterface
{
     
    public function upload(string $url, string $filePath, int $length, Deadline $deadline): string;
     
    public function download(string $url, string $outputPath, int $maximumBytes, Deadline $deadline): void;
}
